Package nl.tudelft.simulation.examples.dsol.terminal

## Class AGV

- java.lang.Object
- - org.djutils.event.EventProducer
  - - nl.tudelft.simulation.examples.dsol.terminal.IntResource<Double,​Double,​SimTimeDouble>
    - - nl.tudelft.simulation.examples.dsol.terminal.AGV

All Implemented Interfaces:
  `Serializable`, `EventProducerInterface`

    public class AGV
    extends IntResource<Double,​Double,​SimTimeDouble>

The AGVs modeled as resources.

Copyright (c) 2002-2022 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs, Alexander Verbraeck
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class nl.tudelft.simulation.examples.dsol.terminal.IntResource

`IntResource.Request<A extends Comparable<A> & Serializable,​R extends Number & Comparable<R>,​T extends SimTime<A,​R,​T>>, IntResource.RequestComparator`

### Field Summary

### Fields inherited from class nl.tudelft.simulation.examples.dsol.terminal.IntResource

`claimedCapacity, counter, DEFAULT_REQUEST_PRIORITY, description, MAX_REQUEST_PRIORITY, MIN_REQUEST_PRIORITY, requests, RESOURCE_REQUESTED_QUEUE_LENGTH, simulator, UTILIZATION_EVENT`

### Fields inherited from class org.djutils.event.EventProducer

`eventProducerImpl`

### Fields inherited from interface org.djutils.event.EventProducerInterface

`FIRST_POSITION, LAST_POSITION`

### Constructor Summary

Constructors
`AGV​(DEVSSimulatorInterface.TimeDouble simulator, String description, long capacity, DistContinuous agvTime)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `drawDelay()`

### Methods inherited from class nl.tudelft.simulation.examples.dsol.terminal.IntResource

`getAvailableCapacity, getCapacity, getClaimedCapacity, getQueueLength, getSourceId, releaseCapacity, requestCapacity, requestCapacity, setCapacity, toString`

### Methods inherited from class org.djutils.event.EventProducer

`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireUnverifiedEvent, fireUnverifiedEvent, fireUnverifiedEvent, fireUnverifiedEvent, fireUnverifiedEvent, fireUnverifiedEvent, fireUnverifiedEvent, fireUnverifiedEvent, fireUnverifiedEvent, fireUnverifiedEvent, fireUnverifiedEvent, fireUnverifiedTimedEvent, fireUnverifiedTimedEvent, fireUnverifiedTimedEvent, fireUnverifiedTimedEvent, fireUnverifiedTimedEvent, fireUnverifiedTimedEvent, fireUnverifiedTimedEvent, fireUnverifiedTimedEvent, fireUnverifiedTimedEvent, fireUnverifiedTimedEvent, fireUnverifiedTimedEvent, getEventTypesWithListeners, getListenerReferences, hasListeners, numberOfListeners, removeAllListeners, removeAllListeners, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AGV

    public AGV​(DEVSSimulatorInterface.TimeDouble simulator,
               String description,
               long capacity,
               DistContinuous agvTime)

Parameters:
  `simulator` - DEVSSimulatorInterface.TimeDouble; the simulator
  `description` - String; the description
  `capacity` - long; the capacity
  `agvTime` - DistContinuous; AGV time delay

### Method Detail

#### drawDelay

    public double drawDelay()

Returns:
  the AGV handling time